:userdoc.
:title.GnuPG 1.4.2 Man Pages

:h1 res=1.GNU Privacy Guard
:font facename=Helv size=10x8.

:lm margin=1.:p.
:hp7.NAME:ehp7.
:lm margin=10.:p.
GnuPG - The GNU Privacy Guard suite of programs

:lm margin=1.:p.
:hp7.DESCRIPTION:ehp7.
:lm margin=10.:p.
GnuPG is a set of programs for public key encryption and digital signatures.
The program most users will want to use is the OpenPGP command line tool, named gpg.
gpgv is a stripped down version of gpgP with no encryption functionality, used only to verify signatures against a trusted keyring.
There is also a tool called gpgsplit to split OpenPGP messages or keyrings into their component packets.
This is mainly useful for seeing how OpenPGP messages are put together.


:lm margin=1.:p.
:hp7.SEE ALSO:ehp7.
:lm margin=10.:p.
:link reftype=hd res=2.gpg.exe:elink.
:p.
:link reftype=hd res=3.gpgv.exe:elink.







:h1 res=2.gpg.exe
:font facename=Helv size=10x8.

:lm margin=1.:p.
:hp7.NAME:ehp7.
:lm margin=10.:p.
gpg -- encryption and signing tool

:lm margin=1.:p.
:hp7.SYNOPSIS:ehp7.
:lm margin=10.:p.
:hp4.gpg [--homedir name] [--options file] [options] command [args]:ehp4.

:lm margin=1.:p.
:hp7.DESCRIPTION:ehp7.
:lm margin=10.:p.
gpg is the main program for the GnuPG system.
:p.
This man page only lists the commands and options available.
For more verbose documentation get the GNU Privacy Handbook (GPH) or one of the other documents at http&colon.//www.gnupg.org/documentation/ . 

:p.
Please remember that option parsing stops as soon as a non option is encountered, you can explicitly stop option parsing by using the special option "--".

:lm margin=1.:p.
:hp7.COMMANDS:ehp7.
:lm margin=10.:p.
gpg may be run with no commands, in which case it will perform a reasonable action depending on the type of file it is given as input (an encrypted message is decrypted, a signature is verified, a file containing keys is listed).
:p.
gpg recognizes these commands: 

:parml break=all tsize=15.
:pt.:hp4.-s, --sign:ehp4.
:pd.
Make a signature. This command may be combined with --encrypt (for a 
signed and encrypted message), --symmetric (for a signed and 
symmetrically encrypted message), or --encrypt and --symmetric 
together (for a signed message that may be decrypted via a secret key 
or a passphrase). 

:pt.:hp4.--clearsign:ehp4.
:pd.
Make a clear text signature.

:pt.:hp4.-b, --detach-sign:ehp4.
:pd.
Make a detached signature.

:pt.:hp4.-e, --encrypt:ehp4.
:pd.
Encrypt data. This option may be combined with --sign (for a signed 
and encrypted message), --symmetric (for a message that may be 
decrypted via a secret key or a passphrase), or --sign and --symmetric 
together (for a signed message that may be decrypted via a secret key 
or a passphrase). 

:pt.:hp4.-c, --symmetric:ehp4.
:pd.
Encrypt with a symmetric cipher using a passphrase.
The default symmetric cipher used is CAST5, but may be chosen with the --cipher-algo option. 
This option may be combined with --sign (for a 
signed and symmetrically encrypted message), --encrypt (for a message 
that may be decrypted via a secret key or a passphrase), or --sign and 
--encrypt together (for a signed message that may be decrypted via a 
secret key or a passphrase). 

:pt.:hp4.--store:ehp4.
:pd.
Store only (make a simple RFC1991 packet).

:pt.:hp4.--decrypt [file]:ehp4.
:pd.
Decrypt file (or stdin if no file is specified) and write it to stdout (or the file specified with --output).
If the decrypted file is signed, the signature is also verified.
This command differs from the default operation, as it never writes to the filename which is included in the file and it rejects files which don't begin with an encrypted message.

:pt.:hp4.--verify [[sigfile] [signed-files]]:ehp4.
:pd.
Assume that sigfile is a signature and verify it without generating any output.
With no arguments, the signature packet is read from stdin.
If only a sigfile is given, it may be a complete signature or a detached signature, in which case the signed stuff is expected in a file without the ".sig" or ".asc" extension.
With more than 1 argument, the first should be a detached signature and the remaining files are the signed stuff.
To read the signed stuff from stdin, use - as the second filename. For security reasons a detached signature cannot read the signed material from stdin without denoting it in the above way.

:pt.:hp4.--multifile:ehp4.
:pd.
This modifies certain other commands to accept multiple files for processing on the command line or read from stdin with each filename on a separate line.
This allows for many files to be processed at once.
--multifile may currently be used along with --verify, --encrypt, and --decrypt.
Note that `--multifile --verify' may not be used with detached signatures.

:pt.:hp4.--verify-files [files]:ehp4.
:pd.
Identical to `--multifile --verify'.

:pt.:hp4.--encrypt-files [files]:ehp4.
:pd.
Identical to `--multifile --encrypt'.

:pt.:hp4.--decrypt-files [files]:ehp4.
:pd.
Identical to `--multifile --decrypt'.

:pt.:hp4.--list-keys [names]:ehp4.

:pt.:hp4.--list-public-keys [names]:ehp4.
:pd.
List all keys from the public keyrings, or just the ones given on the command line. 
:p.
Avoid using the output of this command in scripts or other programs as it is likely to change as GnuPG changes.
See --with-colons for a machine-parseable key listing command that is appropriate for use in scripts and other programs.

:pt.:hp4.-K, --list-secret-keys [names]:ehp4.
:pd.
List all keys from the secret keyrings, or just the ones given on the command line.
A '#' after the letters 'sec' means that the secret key is not usable (for example, if it was created via --export-secret-subkeys).

:pt.:hp4.--list-sigs [names]:ehp4.
:pd.
Same as --list-keys, but the signatures are listed too.
:p.
For each signature listed, there are several flags in between the "sig" tag and keyid.
These flags give additional information about each signature.
From left to right, they are the numbers 1-3 for certificate check level (see --ask-cert-level), "L" for a local or non-exportable 
signature (see the --edit-key command "nrsign"), "P" for a signature 
that contains a policy URL (see --cert-policy-url), "N" for a 
signature that contains a notation (see --cert-notation), "X" for an 
eXpired signature (see --ask-cert-expire), and the numbers 1-9 or "T" 
for 10 and above to indicate trust signature levels (see the 
--edit-key command "tsign"). 

:pt.:hp4.--check-sigs [names]:ehp4.
:pd.
Same as --list-sigs, but the signatures are verified.

:pt.:hp4.--fingerprint [names]:ehp4.
:pd.
List all keys with their fingerprints.
This is the same output as --list-keys but with the additional output of a line with the fingerprint.
May also be combined with --list-sigs or --check-sigs.
If this command is given twice, the fingerprints of all secondary keys are listed too.

:pt.:hp4.--list-packets:ehp4.
:pd.
List only the sequence of packets. This is mainly useful for debugging.

:pt.:hp4.--gen-key:ehp4.
:pd.
Generate a new key pair.
This command is normally only used interactively.
:p.
There is an experimental feature which allows you to create keys in batch mode.
See the file doc/DETAILS in the source distribution on how to use this.

:pt.:hp4.--edit-key name:ehp4.
:pd.
Present a menu which enables you to do all key related tasks:

:parml break=none tsize=15.
:pt.sign
:pd.
Make a signature on key of user name If the key is not yet 
signed by the default user (or the users given with -u), the program 
displays the information of the key again, together with its 
fingerprint and asks whether it should be signed. This question is 
repeated for all users specified with 
-u. 

:pt.lsign
:pd.
Same as "sign" but the signature is marked as non-exportable and will 
therefore never be used by others.  This may be used to make keys 
valid only in the local environment. 

:pt.nrsign
:pd.
Same as "sign" but the signature is marked as non-revocable and can therefore never be revoked. 

:pt.tsign
:pd.
Make a trust signature.  This is a signature that combines the notions 
of certification (like a regular signature), and trust (like the 
"trust" command).  It is generally only useful in distinct communities 
or groups. 
Note that "l" (for local / non-exportable), "nr" (for non-revocable, 
and "t" (for trust) may be freely mixed and prefixed to "sign" to 
create a signature of any type desired. 

:pt.revsig
:pd.
Revoke a signature.
For every signature which has been generated by one of the secret keys, GnuPG asks whether a revocation certificate should be generated.

:pt.trust
:pd.
Change the owner trust value.
This updates the trust-db immediately and no save is required.

:pt.disable

:pt.enable
:pd.
Disable or enable an entire key.
A disabled key can not normally be used for encryption. 

:pt.adduid
:pd.
Create an alternate user id.

:pt.addphoto
:pd.
Create a photographic user id.
This will prompt for a JPEG file that will be embedded into the user ID. 
Note that a very large JPEG will make for a very large key.
Also note that some programs will display your JPEG unchanged (GnuPG), and some programs will scale it to fit in a dialog box (PGP). 

:pt.deluid
:pd.
Delete a user id.

:pt.delsig
:pd.
Delete a signature. 

:pt.revuid
:pd.
Revoke a user id. 

:pt.addkey
:pd.
Add a subkey to this key.

:pt.addcardkey
:pd.
Generate a key on a card and add it to this key. 

:pt.keytocard
:pd.
Transfer the selected secret key (or the primary key if no key has 
been selected) to a smartcard.  The secret key in the keyring will be 
replaced by a stub if the key could be stored successfully on the card 
and you use the save command later.  Only certain key types may be 
transferred to the card.  A sub menu allows you to select on what card 
to store the key.  Note that it is not possible to get that key back 
from the card - if the card gets broken your secret key will be lost 
unless you have a backup somewhere. 

:pt.delkey
:pd.
Remove a subkey.

:pt.addrevoker [sensitive]
:pd.
Add a designated revoker.
This takes one optional argument: "sensitive".
If a designated revoker is marked as sensitive, it will not be exported by default (see export-options).

:pt.revkey
:pd.
Revoke a subkey.

:pt.expire
:pd.
Change the key expiration time.
If a subkey is selected, the expiration time of this subkey will be changed.
With no selection, the key expiration of the primary key is changed.

:pt.passwd
:pd.
Change the passphrase of the secret key.

:pt.primary
:pd.
Flag the current user id as the primary one, removes the primary user id flag from all other user ids and sets the timestamp of all affected selfsignatures one second ahead.
Note that setting a photo user ID as primary makes it primary over other photo user IDs, and setting a regular user ID as primary makes it primary over other regular user IDs.

:pt.uid n
:pd.
Toggle selection of user id with index n.
Use 0 to deselect all.

:pt.key n
:pd.
Toggle selection of subkey with index n.
Use 0 to deselect all.

:pt.check
:pd.
Check all selected user ids.

:pt.showphoto
:pd.
Display the selected photographic user id.

:pt.pref
:pd.
List preferences from the selected user ID.
This shows the actual preferences, without including any implied preferences. 

:pt.showpref
:pd.
More verbose preferences listing for the selected user ID.
This shows the preferences in effect by including the implied preferences of 3DES (cipher), SHA-1 (digest), and Uncompressed (compression) if they are not already included in the preference list.

:pt.setpref string
:pd.
Set the list of user ID preferences to string, this should be a string similar to the one printed by "pref".
Using an empty string will set the default preference string, using "none" will remove the preferences.
Use "gpg -v --version" to get a list of available algorithms.
This command just initializes an internal list and does not change anything unless another command (such as "updpref") which changes the self-signatures is used.

:pt.updpref
:pd.
self-signatures will be advanced by one second.
Note that while you can change the preferences on an attribute user ID (aka "photo ID"), GnuPG does not select keys via attribute user IDs so these preferences will not be used by GnuPG.

:pt.keyserver
:pd.
Set a preferred keyserver for the specified user ID(s).  This allows 
other users to know where you prefer they get your key from.  See 
--keyserver-option honor-keyserver-url for more on how this works. 
Note that some versions of PGP interpret the presence of a keyserver 
URL as an instruction to enable PGP/MIME mail encoding.  Setting a 
value of "none" removes a existing preferred keyserver. 

:pt.toggle
:pd.
Toggle between public and secret key listing.

:pt.save
:pd.
Save all changes to the key rings and quit.

:pt.quit
:pd.
Quit the program without updating the key rings.

:eparml.

:p.
The listing shows you the key with its secondary keys and all user ids.
Selected keys or user ids are indicated by an asterisk.
The trust value is displayed with the primary key:
the first is the assigned owner trust and the second is the calculated trust value.
Letters are used for the values:

:parml break=none tsize=15.
:pt.-:pd.No ownertrust assigned / not yet calculated.
:pt.e:pd.Trust calculation has failed; probably due to an expired key.
:pt.q:pd.Not enough information for calculation.
:pt.n:pd.Never trust this key.
:pt.m:pd.Marginally trusted.
:pt.f:pd.Fully trusted.
:pt.u:pd.Ultimately trusted.
:eparml.

:pt.:hp4.--sign-key name:ehp4.
:pd.
Signs a public key with your secret key.
This is a shortcut version of the subcommand "sign" from --edit.

:pt.:hp4.--lsign-key name:ehp4.
:pd.
Signs a public key with your secret key but marks it as non-exportable.
This is a shortcut version of the subcommand "lsign" from --edit.

:pt.:hp4.--delete-key name:ehp4.
:pd.
Remove key from the public keyring.
In batch mode either --yes is required or the key must be specified by fingerprint.
This is a safeguard against accidental deletion of multiple keys.

:pt.:hp4.--delete-secret-key name:ehp4.
:pd.
Remove key from the secret and public keyring
In batch mode the key must be specified by fingerprint.

:pt.:hp4.--delete-secret-and-public-key name:ehp4.
:pd.
Same as --delete-key, but if a secret key exists, it will be removed first.
In batch mode the key must be specified by fingerprint.

:pt.:hp4.--gen-revoke name:ehp4.
:pd.
Generate a revocation certificate for the complete key.
To revoke a subkey or a signature, use the --edit command.

:pt.:hp4.--desig-revoke name:ehp4.
:pd.
Generate a designated revocation certificate for a key.
This allows a user (with the permission of the keyholder) to revoke someone else's key.

:pt.:hp4.--export [names]:ehp4.
:pd.
Either export all keys from all keyrings (default keyrings and those registered via option --keyring), or if at least one name is given, those of the given name.
The new keyring is written to stdout or to the file given with option "output".
Use together with --armor to mail those keys.

:pt.:hp4.--send-keys [names]:ehp4.
:pd.
Same as --export but sends the keys to a keyserver.
Option --keyserver must be used to give the name of this keyserver.
Don't send your complete keyring to a keyserver - select only those keys which are new or changed by you.

:pt.:hp4.--export-secret-keys [names]:ehp4.

:pt.:hp4.--export-secret-subkeys [names]:ehp4.
:pd.
Same as --export, but exports the secret keys instead.
This is normally not very useful and a security risk.
The second form of the command has the special property to render the secret part of the primary key useless;
this is a GNU extension to OpenPGP and other implementations can not be expected to successfully import such a key.
:p.
See the option --simple-sk-checksum if you want to import such an exported key with an older OpenPGP implementation.

:pt.:hp4.--import [files]:ehp4.

:pt.:hp4.--fast-import [files]:ehp4.
:pd.
Import/merge keys.
This adds the given keys to the keyring. The fast version is currently just a synonym.
:p.
There are a few other options which control how this command works.
Most notable here is the --keyserver-option merge-only option which 
does not insert new keys but does only the merging of new signatures, 
user-IDs and subkeys. 

:pt.:hp4.--recv-keys key IDs:ehp4.
:pd.
Import the keys with the given key IDs from a keyserver.
Option --keyserver must be used to give the name of the keyserver for all keys that do not have preferred keyservers set (see --keyserver-option honor-keyserver-url). 

:pt.:hp4.--refresh-keys [key IDs]:ehp4.
:pd.
Request updates from a keyserver for keys that already exist on the local keyring.
This is useful for updating a key with the latest signatures, user IDs, etc.
Calling this with no arguments will refresh the entire keyring.
Option --keyserver must be used to give the name of this keyserver.

:pt.:hp4.--search-keys [names]:ehp4.
:pd.
Search the keyserver for the given names.
Multiple names given here will be joined together to create the search string for the keyserver.
Option --keyserver must be used to give the name of this keyserver.

:pt.:hp4.--update-trustdb:ehp4.
:pd.
Do trust database maintenance.
This command iterates over all keys and builds the Web of Trust.
This is an interactive command because it may have to ask for the "ownertrust" values for keys.
The user has to give an estimation of how far she trusts the owner of the displayed key to correctly certify (sign) other keys.
GnuPG only asks for the ownertrust value if it has not yet been assigned to a key.
Using the --edit-key menu, the assigned value can be changed at any time. 

:pt.:hp4.--check-trustdb:ehp4.
:pd.
Do trust database maintenance without user interaction.
From time to time the trust database must be updated so that expired keys or signatures and the resulting changes in the Web of Trust can be tracked.
Normally, GnuPG will calculate when this is required and do it automatically unless --no-auto-check-trustdb is set.
This command can be used to force a trust database check at any time.
The processing is identical to that of --update-trustdb but it skips keys with a not yet defined "ownertrust". 
:p.
For use with cron jobs, this command can be used together with --batch in which case the trust database check is done only if a check is needed.
To force a run even in batch mode add the option --yes.

:pt.:hp4.--export-ownertrust:ehp4.
:pd.
Send the ownertrust values to stdout.
This is useful for backup purposes as these values are the only ones which can't be re-created from a corrupted trust DB.

:pt.:hp4.--import-ownertrust [files]:ehp4.
:pd.
Update the trustdb with the ownertrust values stored in files (or stdin if not given); existing values will be overwritten.

:pt.:hp4.--rebuild-keydb-caches:ehp4.
:pd.
When updating from version 1.0.6 to 1.0.7 this command should be used to create signature caches in the keyring.
It might be handy in other situations too.

:pt.:hp4.--print-md algo [files]:ehp4.

:pt.:hp4.--print-mds [files]:ehp4.
:pd.
Print message digest of algorithm ALGO for all given files or stdin.
With the second form (or a deprecated "*" as algo) digests for all available algorithms are printed.

:pt.:hp4.--gen-random 0|1|2  [count]:ehp4.
:pd.
Emit COUNT random bytes of the given quality level.
If count is not given or zero, an endless sequence of random bytes will be emitted.
PLEASE, don't use this command unless you know what you are doing;
it may remove precious entropy from the system!

:pt.:hp4.--gen-prime mode bits [qbits]:ehp4.
:pd.
Use the source, Luke &colon.-).
The output format is still subject to change.

:pt.:hp4.--version:ehp4.
:pd.
Print version information along with a list of supported algorithms.

:pt.:hp4.--warranty:ehp4.
:pd.
Print warranty information.

:pt.:hp4.-h, --help:ehp4.
:pd.
Print usage information.
This is a really long list even though it doesn't list all options.
For every option, consult this manual. 

:eparml.

:lm margin=1.:p.
:hp7.OPTIONS:ehp7.
:lm margin=10.:p.
Long options can be put in an options file (default "~/.gnupg/gpg.conf").
Short option names will not work - for example, "armor" is a valid option for the options file, while "a" is not.
Do not write the 2 dashes, but simply the name of the option and any required arguments.
Lines with a hash ('#') as the first non-white-space character are ignored.
Commands may be put in this file too, but that is not generally useful as the command will execute automatically with every execution of gpg.

:p.
gpg recognizes these options:

:parml break=all tsize=15.

:pt.:hp4.-a, --armor:ehp4.
:pd.
Create ASCII armored output.

:pt.:hp4.-o, --output file:ehp4.
:pd.
Write output to file.

:pt.:hp4.--max-output n:ehp4.
:pd.
This option sets a limit on the number of bytes that will be generated when processing a file.
Since OpenPGP supports various levels of compression, it is possible that the plaintext of a given message may be significantly larger than the original OpenPGP message.
While GnuPG works properly with such messages, there is often a desire to set a maximum file size that will be generated before processing is forced to stop by the OS limits.
Defaults to 0, which means "no limit".

:pt.:hp4.--mangle-dos-filenames:ehp4.
:pt.:hp4.--no-mangle-dos-filenames:ehp4.
:pd.
Older version of Windows cannot handle filenames with more than one dot.
--mangle-dos-filenames causes GnuPG to replace (rather than add to) the extension of an output filename to avoid this problem.
This option is off by default and has no effect on non-Windows platforms. 

:pt.:hp4.-u, --local-user name:ehp4.
:pd.
Use name as the key to sign with.
Note that this option overrides --default-key.

:pt.:hp4.--default-key name:ehp4.
:pd.
Use name as the default key to sign with.
If this option is not used, the default key is the first key found in the secret keyring.
Note that -u or --local-user overrides this option.

:pt.:hp4.-r, --recipient name:ehp4.
:pd.
Encrypt for user id name.
If this option or --hidden-recipient is not specified, GnuPG asks for the user-id unless --default-recipient is given.

:pt.:hp4.-R, --hidden-recipient name:ehp4.
:pd.
Encrypt for user id name, but hide the keyid of the key.
This option hides the receiver of the message and is a countermeasure against traffic analysis.
If this option or --recipient is not specified, GnuPG asks for the user-id unless --default-recipient is given. 

:pt.:hp4.--default-recipient name:ehp4.
:pd.
Use name as default recipient if option --recipient is not used and don't ask if this is a valid one.
name must be non-empty.

:pt.:hp4.--default-recipient-self:ehp4.
:pd.
Use the default key as default recipient if option --recipient is not used and don't ask if this is a valid one.
The default key is the first one from the secret keyring or the one set with --default-key.

:pt.:hp4.--no-default-recipient:ehp4.
:pd.
Reset --default-recipient and --default-recipient-self.

:pt.:hp4.--encrypt-to name:ehp4.
:pd.
Same as --recipient but this one is intended for use in the options file and may be used with your own user-id as an "encrypt-to-self".
These keys are only used when there are other recipients given either by use of --recipient or by the asked user id.
No trust checking is performed for these user ids and even disabled keys can be used.

:pt.:hp4.--hidden-encrypt-to name:ehp4.
:pd.
Same as --hidden-recipient but this one is intended for use in the options file and may be used with your own user-id as a hidden "encrypt-to-self".
These keys are only used when there are other recipients given either by use of --recipient or by the asked user id.
No trust checking is performed for these user ids and even disabled keys can be used. 

:pt.:hp4.--no-encrypt-to:ehp4.
:pd.
Disable the use of all --encrypt-to and --hidden-encrypt-to keys.

:pt.:hp4.-v, --verbose:ehp4.
:pd.
Give more information during processing.
If used twice, the input data is listed in detail.

:pt.:hp4.-q, --quiet:ehp4.
:pd.
Try to be as quiet as possible.

:pt.:hp4.-z n:ehp4.
:pt.:hp4.--compress-level n:ehp4.
:pt.:hp4.--bzip2-compress-level n:ehp4.
:pd.
Set compression level to n for the ZIP and ZLIB compression algorithms.
The default is to use the default compression level of zlib (normally 6).
--bzip2-compress-level sets the compression level for the BZIP2 compression algorithm (defaulting to 6 as well).
This is a different option from --compress-level since BZIP2 uses a significant amount of memory for each additional compression level. 
-z sets both.
A value of 0 for n disables compression.

:pt.:hp4.--bzip2-decompress-lowmem:ehp4.
:pd.
Use a different decompression method for BZIP2 compressed files.
This alternate method uses a bit more than half the memory, but also runs at half the speed.
This is useful under extreme low memory circumstances when the file was originally compressed at a very high --bzip2-compress-level.

:pt.:hp4.-t, --textmode:ehp4.
:pt.:hp4.-t, --no-textmode:ehp4.
:pd.
Treat input files as text and store them in the OpenPGP canonical text form with standard "CRLF" line endings.
This also sets the necessary flags to inform the recipient that the encrypted or signed data is text and may need its line endings converted back to whatever the local system uses.
This option is useful when communicating between two platforms that have different line ending conventions (UNIX-like to Mac, Mac to Windows, etc).
--no-textmode disables this option, and is the default.
:p.
If -t (but not --textmode) is used together with armoring and signing, this enables clearsigned messages.
This kludge is needed for command-line compatibility with command-line versions of PGP; normally you would use --sign or --clearsign to select the type of the signature.

:pt.:hp4.-n, --dry-run:ehp4.
:pd.
Don't make any changes (this is not completely implemented).

:pt.:hp4.-i, --interactive:ehp4.
:pd.
Prompt before overwriting any files.

:pt.:hp4.--batch:ehp4.
:pt.:hp4.--no-batch:ehp4.
:pd.
Use batch mode.
Never ask, do not allow interactive commands. 
--no-batch disables this option. 

:pt.:hp4.--no-tty:ehp4.
:pd.
Make sure that the TTY (terminal) is never used for any output.
This option is needed in some cases because GnuPG sometimes prints warnings to the TTY if --batch is used.

:pt.:hp4.--yes:ehp4.
:pd.
Assume "yes" on most questions.

:pt.:hp4.--no:ehp4.
:pd.
Assume "no" on most questions.

:pt.:hp4.--ask-cert-level:ehp4.
:pt.:hp4.--no-ask-cert-level:ehp4.
:pd.
When making a key signature, prompt for a certification level.
If this option is not specified, the certification level used is set via --default-cert-level.
See --default-cert-level for information on the specific levels and how they are used.
--no-ask-cert-level disables this option.
This option defaults to no.

:pt.:hp4.--min-cert-level:ehp4.
:pd.
When building the trust database, disregard any signatures with a certification level below this.
Defaults to 2, which disregards level 1 signatures. 

:pt.:hp4.--default-cert-check-level n:ehp4.
:pd.
The default to use for the check level when signing a key.
:parml break=none tsize=5.
:pt.0
:pd.means you make no particular claim as to how carefully you verified the key.
:pt.1
:pd.means you believe the key is owned by the person who claims to own it but you could not, or did not verify the key at all. This is useful for a "persona" verification, where you sign the key of a pseudonymous user.
:pt.2
:pd.means you did casual verification of the key. For example, this could mean that you verified that the key fingerprint and checked the user ID on the key against a photo ID.
:pt.3
:pd.means you did extensive verification of the key. For example, this could mean that you verified the key fingerprint with the owner of the key in
person, and that you checked, by means of a hard to forge document with a photo ID (such as a passport) that the name of the key owner matches the name
in the user ID on the key, and finally that you verified (by exchange of email) that the email address on the key belongs to the key owner.
:eparml.
:p.
Note that the examples given above for levels 2 and 3 are just that&colon. examples. In the end, it is up to you to decide just what "casual" and "extensive" mean to you.
:p.
This option defaults to 0 (no particular claim).

:pt.:hp4.--trusted-key long key ID:ehp4.
:pd.
Assume that the specified key (which must be given as a full 8 byte key ID) is as trustworthy as one of your own secret keys.
This option is useful if you don't want to keep your secret keys (or one of them) online but still want to be able to check the validity of a given recipient's or signator's key.

:pt.:hp4.--trust-model pgp | classic | always:ehp4.
:pd.
Set what trust model GnuPG should follow.
The models are:

:parml break=none tsize=15.
:pt.pgp
:pd.
This is the Web of Trust combined with trust signatures as used in PGP 5.x and later.
This is the default trust model.

:pt.classic
:pd.
This is the standard Web of Trust as used in PGP 2.x and earlier. 

:pt.direct
:pd.
Key validity is set directly by the user and not calculated via the Web of Trust.

:pt.always
:pd.
Skip key validation and assume that used keys are always fully trusted.
You won't use this unless you have installed some external validation scheme.
This option also suppresses the "[uncertain]" tag printed with signature checks when there is no evidence that the user ID is bound to the key.

:eparml.

:pt.:hp4.--always-trust:ehp4.
:pd.
Identical to `--trust-model always' 
This option is deprecated.

:pt.:hp4.--keyid-format short | 0xshort | long | 0xlong:ehp4.
:pd.
Select how to display key IDs.
"short" is the traditional 8-character key ID.
"long" is the more accurate (but less convenient) 16-character key ID.
Add an "0x" to either to include an "0x" at the beginning of the key ID, as in 0x99242560. 

:pt.:hp4.--keyserver name:ehp4.
:pd.
Use name as your keyserver.
This is the server that --recv-keys, --send-keys, and --search-keys will communicate with to receive keys from, send keys to, and search for keys on.
The format of the name is a URI&colon. `scheme&colon.[//]keyservername[&colon.port]'
The scheme is the type of keyserver&colon. "hkp" for the HTTP (or compatible) keyservers, "ldap" for the NAI LDAP keyserver, or "mailto" for the Graff email keyserver.
Note that your particular installation of GnuPG may have other keyserver types available as well.
Keyserver schemes are case-insensitive. 
:p.
Most keyservers synchronize with each other, so there is generally no need to send keys to more than one server.
The keyserver hkp&colon.//subkeys.pgp.net" uses round robin DNS to give a different keyserver each time you use it.

:pt.:hp4.--keyserver-options parameters:ehp4.
:pd.
This is a space or comma delimited string that gives options for the keyserver.
Options can be prepended with a `no-' to give the opposite meaning.
Valid import-options or export-options may be used here as well to apply to importing (--recv-key) or exporting (--send-key) a key from a keyserver.
While not all options are available for all keyserver types, some common options are&colon.
:parml break=all tsize=5.
:pt.include-revoked
:pd.When searching for a key with --search-keys, include keys that are marked on the keyserver as revoked.  Note that not all keyservers differentiate between revoked and unrevoked keys, and for such keyservers this option is meaningless.
Note also that most keyservers do not have cryptographic verification of key revocations, and so turning this option off may result in skipping keys that are incorrectly marked as revoked. Defaults to on.
:pt.include-disabled
:pd.When searching for a key with --search-keys, include keys that are marked on the keyserver as disabled. Note that this option is not used with HKP keyservers. 
:pt.honor-keyserver-url
:pd.When using --refresh-keys, if the key in question has a preferred keyserver set, then use that preferred keyserver to refresh the key from.  Defaults to yes.
:pt.include-subkeys
:pd.When receiving a key, include subkeys as potential targets. Note that this option is not used with HKP keyservers, as they do not support retrieving keys by subkey id.
:pt.use-temp-files
:pd.On most Unix-like platforms, GnuPG communicates with the keyserver helper program via pipes, which is the most efficient method. This option
forces GnuPG to use temporary files to communicate. On some platforms (such as Win32 and RISC OS), this option is always enabled.
:pt.keep-temp-files
:pd.If using `use-temp-files', do not delete the temp files after using them. This option is useful to learn the keyserver communication protocol by reading the temporary files.
:pt.verbose
:pd.Tell the keyserver helper program to be more verbose. This option can be repeated multiple times to increase the verbosity level.
:pt.timeout
:pd.Tell the keyserver helper program how long (in seconds) to try and perform a keyserver action before giving up. Note that performing multiple actions at the same time uses this timeout value per action.
For example, when retrieving multiple keys via --recv-keys, the timeout applies separately to each key retrieval, and not to the --recv-keys command as a whole.  Defaults to 30 seconds.
:pt.http-proxy[=value]
:pd.For HTTP-like keyserver schemes that (such as HKP and HTTP itself), try to access the keyserver over a proxy. If a value is specified, use this as the HTTP proxy. If no value is specified, try to use the value of the environment variable "http_proxy".
:pt.auto-key-retrieve
:pd.This option enables the automatic retrieving of keys from a keyserver when verifying signatures made by keys that are not on the local keyring.
Note that this option makes a "web bug" like behavior possible.
Keyserver operators can see which keys you request, so by sending you a message signed by a brand new key (which you naturally will not have on your local keyring), the operator can tell both your IP address and the time when you verified the signature.

:eparml.

:pt.:hp4.--import-options parameters:ehp4.
:pd.
This is a space or comma delimited string that gives options for importing keys.
Options can be prepended with a `no-' to give the opposite meaning.
The options are&colon.
:parml break=all tsize=5.
:pt.import-local-sigs
:pd.Allow importing key signatures marked as "local". This is not generally useful unless a shared keyring scheme is being used. Defaults to no.
:pt.repair-pks-subkey-bug
:pd.During import, attempt to repair the damage caused by the PKS keyserver bug (pre version 0.9.6) that mangles keys with multiple subkeys.
Note that this cannot completely repair the damaged key as some crucial data is removed by the keyserver, but it does at least give you back one subkey. Defaults to no for regular --import and to yes for keyserver --recv-keys. 
:pt.merge-only
:pd.During import, allow key updates to existing keys, but do not allow any new keys to be imported. Defaults to no.
:eparml.

:pt.:hp4.--export-options parameters:ehp4.
:pd.
This is a space or comma delimited string that gives options for exporting keys.
Options can be prepended with a `no-' to give the opposite meaning.
The options are&colon.
:parml break=all tsize=5.
:pt.export-local-sigs
:pd.Allow exporting key signatures marked as "local". This is not generally useful unless a shared keyring scheme is being used. Defaults to no.
:pt.export-attributes
:pd.Include attribute user IDs (photo IDs) while exporting. This is useful to export keys if they are going to be used by an OpenPGP program that does not accept attribute user IDs. Defaults to yes.
:pt.export-sensitive-revkeys
:pd.Include designated revoker information that was marked as "sensitive". Defaults to no.
:pt.export-minimal
:pd.Export the smallest key possible. Currently this is done by leaving out any signatures that are not self-signatures. Defaults to no.
:eparml.

:pt.:hp4.--list-options parameters:ehp4.
:pd.
This is a space or comma delimited string that gives options used when listing keys and signatures (that is, --list-keys, --list-sigs, --list-public-keys, --list-secret-keys, and the --edit-key functions).
Options can be prepended with a `no-' to give the opposite meaning.
The options are: 
:parml break=all tsize=5.
:pt.show-photos
:pd.Causes --list-keys, --list-sigs, --list-public-keys, and --list-secret-keys to display any photo IDs attached to the key. Defaults to no. See also --photo-viewer.
:pt.show-policy-urls
:pd.Show policy URLs in the --list-sigs or --check-sigs listings. Defaults to no.
:pt.show-notations
:pt.show-std-notations
:pt.show-user-notations
:pd.Show all, IETF standard, or user-defined signature notations in the --list-sigs or --check-sigs listings. Defaults to no. 
:pt.show-keyserver-urls
:pd.Show any preferred keyserver URL in the --list-sigs or --check-sigs listings. Defaults to no.
:pt.show-uid-validity
:pd.Display the calculated validity of user IDs during key listings. Defaults to no.
:pt.show-unusable-uids
:pd.Show revoked and expired user IDs in key listings. Defaults to no.
:pt.show-unusable-subkeys
:pd.Show revoked and expired subkeys in key listings. Defaults to no.
:pt.show-keyring
:pd.Display the keyring name at the head of key listings to show which keyring a given key resides on. Defaults to no. 
:pt.show-sig-expire
:pd.Show signature expiration dates (if any) during --list-sigs or --check-sigs listings. Defaults to no. 
:pt.show-sig-subpackets:pd.
Include signature subpackets in the key listing.  This option can take 
an optional argument list of the subpackets to list.  If no argument 
is passed, list all subpackets.  Defaults to no.  This option is only 
meaningful when using --with-colons along with --list-sigs or 
--check-sigs. 
:eparml.

:pt.:hp4.--verify-options parameters:ehp4.
:pd.
This is a space or comma delimited string that gives options used when verifying signatures.
Options can be prepended with a `no-' to give the opposite meaning.
The options are: 
:parml break=all tsize=5.
:pt.show-photos
:pd.Display any photo IDs present on the key that issued the signature. Defaults to no. See also --photo-viewer. 
:pt.show-policy-urls
:pd.Show policy URLs in the signature being verified. Defaults to no. 
:pt.show-notations 
:pt.show-std-notations 
:pt.show-user-notations
:pd.Show all, IETF standard, or user-defined signature notations in the signature being verified. Defaults to IETF standard. 
:pt.show-keyserver-urls
:pd.Show any preferred keyserver URL in the signature being verified. Defaults to no.
:pt.show-uid-validity
:pd.Display the calculated validity of the user IDs on the key that issued the signature. Defaults to no. 
:pt.show-unusable-uids
:pd.Show revoked and expired user IDs during signature verification. Defaults to no. 
:eparml.

:pt.:hp4.--show-photos:ehp4.
:pt.:hp4.--show-no-photos:ehp4.
:pd.
Causes --list-keys, --list-sigs, --list-public-keys, --list-secret-keys, and verifying a signature to also display the photo ID attached to the key, if any.
See also --photo-viewer.
--no-show-photos disables this option. 
These options are deprecated.
Use `--list-options [no-]show-photos' and/or `--verify-options [no-]show-photos' instead.

:pt.:hp4.--photo-viewer string:ehp4.
:pd.
This is the command line that should be run to view a photo ID.
"%i" will be expanded to a filename containing the photo.
"%I" does the same, except the file will not be deleted once the viewer exits.
Other flags are "%k" for the key ID, "%K" for the long key ID, "%f" for the key fingerprint, "%t" for the extension of the image type (e.g. "jpg"), "%T" for the MIME type of the image (e.g. "image/jpeg"), and "%%" for an actual percent sign.
If neither %i or %I are present, then the photo will be supplied to the viewer on standard input.
:p.
The default viewer is "xloadimage -fork -quiet -title 'KeyID 0x%k' stdin"
Note that if your image viewer program is not secure, then executing it from GnuPG does not make it secure. 

:pt.:hp4.--exec-path string:ehp4.
:pd.
Sets a list of directories to search for photo viewers and keyserver helpers.
If not provided, keyserver helpers use the compiled-in default directory, and photo viewers use the $PATH environment variable.

:pt.:hp4.--show-keyring:ehp4.
:pd.
Display the keyring name at the head of key listings to show which keyring a given key resides on.
This option is deprecated: use `--list-options [no-]show-keyring' instead. 

:pt.:hp4.--keyring file:ehp4.
:pd.
Add file to the current list of keyrings.
If file begins with a tilde and a slash, these are replaced by the $HOME directory.
If the filename does not contain a slash, it is assumed to be in the GnuPG home directory ("~/.gnupg" if --homedir or $GNUPGHOME is not used).
:p.
Note that this adds a keyring to the current list.
If the intent is to use the specified keyring alone, use --keyring along with --no-default-keyring.

:pt.:hp4.--secret-keyring file:ehp4.
:pd.
Same as --keyring but for the secret keyrings.

:pt.:hp4.--primary-keyring file:ehp4.
:pd.
Designate file as the primary public keyring.
This means that newly imported keys (via --import or keyserver --recv-from) will go to this keyring.

:pt.:hp4.--trustdb-name file:ehp4.
:pd.
Use file instead of the default trustdb.
If file begins with a tilde and a slash, these are replaced by the $HOME directory.
If the filename does not contain a slash, it is assumed to be in the GnuPG home directory ("~/.gnupg" if --homedir or $GNUPGHOME is not used).

:pt.:hp4.--homedir directory:ehp4.
:pd.
Set the name of the home directory to directory.
If this option is not used it defaults to "~/.gnupg".
It does not make sense to use this in a options file.
This also overrides the environment variable $GNUPGHOME.

:pt.:hp4.--display-charset name:ehp4.
:pd.
Set the name of the native character set.
This is used to convert some informational strings like user IDs to the proper UTF-8 encoding.
If this option is not used, the default character set is determined from the current locale.
A verbosity level of 3 shows the chosen set.
Valid values for name are:
:parml break=all tsize=5.
:pt.iso-8859-1
:pd.This is the Latin 1 set.
:pt.iso-8859-2
:pd.The Latin 2 set.
:pt.iso-8859-15
:pd.This is currently an alias for the Latin 1 set.
:pt.koi8-r
:pd.The usual Russian set (rfc1489).
:pt.utf-8
:pd.Bypass all translations and assume that the OS uses native UTF-8 encoding.
:eparml.

:pt.:hp4.--utf8-strings:ehp4.
:pt.:hp4.--no-utf8-strings:ehp4.
:pd.
Assume that command line arguments are given as UTF8 strings.
The default (--no-utf8-strings) is to assume that arguments are encoded in the character set as specified by --display-charset.
These options affect all following arguments.
Both options may be used multiple times. 

:pt.:hp4.--options file:ehp4.
:pd.
Read options from file and do not try to read them from the default options file in the homedir (see --homedir).
This option is ignored if used in an options file.

:pt.:hp4.--no-options:ehp4.
:pd.
Shortcut for "--options /dev/null".
This option is detected before an attempt to open an option file.
Using this option will also prevent the creation of a "~./gnupg" homedir.

:pt.:hp4.--load-extension name:ehp4.
:pd.
Load an extension module.
If name does not contain a slash it is searched for in the directory configured when GnuPG was built (generally "/usr/local/lib/gnupg").
Extensions are not generally useful anymore, and the use of this option is deprecated.

:pt.:hp4.--debug flags:ehp4.
:pd.
Set debugging flags.
All flags are or-ed and flags may be given in C syntax (e.g. 0x0042).

:pt.:hp4.--debug-all:ehp4.
:pd.
Set all useful debugging flags.

:pt.:hp4.--debug-ccid-driver:ehp4.
:pd.
Enable debug output from the included CCID driver for smartcards.
Note that this option is only available on some system.

:pt.:hp4.--enable-progress-filter:ehp4.
:pd.
Enable certain PROGRESS status outputs.
This option allows frontends to display a progress indicator while gpg is processing larger files.
There is a slight performance overhead using it.

:pt.:hp4.--status-fd n:ehp4.
:pd.
Write special status strings to the file descriptor n.
See the file DETAILS in the documentation for a listing of them.

:pt.:hp4.--logger-fd n:ehp4.
:pd.
Write log output to file descriptor n and not to stderr.

:pt.:hp4.--attribute-fd n:ehp4.
:pd.
Write attribute subpackets to the file descriptor n.
This is most useful for use with --status-fd, since the status messages are needed to separate out the various subpackets from the stream delivered to the file descriptor.

:pt.:hp4.--sk-comments:ehp4.
:pt.:hp4.--sk-no-comments:ehp4.
:pd.
Include secret key comment packets when exporting secret keys.
This is a GnuPG extension to the OpenPGP standard, and is off by default.
Please note that this has nothing to do with the comments in clear text signatures or armor headers.
--no-sk-comments disables this option.

:pt.:hp4.--comment string:ehp4.
:pt.:hp4.--no-comments:ehp4.
:pd.
Use string as a comment string in clear text signatures and ASCII armored messages or keys (see --armor).
The default behavior is not to use a comment string.
--comment may be repeated multiple times to get multiple comment strings.
--no-comments removes all comments.

:pt.:hp4.--emit-version:ehp4.
:pt.:hp4.--no-emit-version:ehp4.
:pd.
Force inclusion of the version string in ASCII armored output. 
--no-emit-version disables this option. 

:pt.:hp4.--sig-notation name=value:ehp4. 
:pt.:hp4.--cert-notation name=value:ehp4.
:pt.:hp4.-N, --set-notation name=value:ehp4.
:pd.
Put the name value pair into the signature as notation data.
name must consist only of printable characters or spaces, and must contain a '@' character.
This is to help prevent pollution of the IETF reserved notation namespace.
The --expert flag overrides the '@' check.
:p.
value may be any printable string; it will be encoded in UTF8, so you should check that your --display-charset is set correctly.
If you prefix name with an exclamation mark (!), the notation data will be flagged as critical (rfc2440&colon.5.2.3.15). 

:p.
--sig-notation sets a notation for data signatures.
--cert-notation sets a notation for key signatures (certifications).
--set-notation sets both. 
:p.
There are special codes that may be used in notation names.
"%k" will be expanded into the key ID of the key being signed, "%K" into the long key ID of the key being signed, "%f" into the fingerprint of the key being signed,
"%s" into the key ID of the key making the signature, "%S" into the long key ID of the key making the signature, "%g" into the fingerprint of the key making the signature (which might be a subkey),
"%p" into the fingerprint of the primary key of the key making the signature, "%c" into the signature count from the OpenPGP smartcard, and "%%" results in a single "%".  %k, %K, and %f are
only meaningful when making a key signature (certification), and %c is only meaningful when using the OpenPGP smartcard.

:pt.:hp4.--show-notation:ehp4.
:pt.:hp4.--no-show-notation:ehp4.
:pd.
Show signature notations in the --list-sigs or --check-sigs listings as well as when verifying a signature with a notation in it.
These +options are deprecated.
Use `--list-options [no-]show-notation' and/or `--verify-options [no-]show-notation' instead.

:pt.:hp4.--sig-policy-url string:ehp4.
:pt.:hp4.--cert-policy-url string:ehp4.
:pt.:hp4.--set-policy-url string:ehp4.
:pd.
Use string as a Policy URL for signatures (rfc2440&colon.5.2.3.19).
If you prefix it with an exclamation mark (!), the policy URL packet will be flagged as critical.
--sig-policy-url sets a policy url for data signatures.
--cert-policy-url sets a policy url for key signatures (certifications).
--set-policy-url sets both. 
:p.
The same %-expandos used for notation data are available here as well.

:pt.:hp4.--show-policy-url:ehp4.
:pt.:hp4.--no-show-policy-url:ehp4.
:pd.
Show policy URLs in the --list-sigs or --check-sigs listings as well as when verifying a signature with a policy URL in it.
These options are deprecated.
Use `--list-options [no-]show-policy-url' and/or `--verify-options [no-]show-policy-url' instead.

:pt.:hp4.--sig-keyserver-url string:ehp4.
Use string as a preferred keyserver URL for data signatures.
If you prefix it with an exclamation mark, the keyserver URL packet will be flagged as critical.
:p.
The same %-expandos used for notation data are available here as well. 

:pt.:hp4.--set-filename string:ehp4.
:pd.
Use string as the filename which is stored inside messages.
This overrides the default, which is to use the actual filename of the file being encrypted.

:pt.:hp4.--for-your-eyes-only:ehp4.
:pt.:hp4.--no-for-your-eyes-only:ehp4.
:pd.
Set the `for your eyes only' flag in the message.
This causes GnuPG to refuse to save the file unless the --output option is given, and PGP to use the "secure viewer" with a Tempestresistant font to display the message.
This option overrides --set-filename.
--no-for-your-eyes-only disables this option.

:pt.:hp4.--use-embedded-filename:ehp4.
:pt.:hp4.--no-use-embedded-filename:ehp4.
:pd.
Try to create a file with a name as embedded in the data.
This can be a dangerous option as it allows to overwrite files.
Defaults to no. 

:pt.:hp4.--completes-needed n:ehp4.
:pd.
Number of completely trusted users to introduce a new key signer (defaults to 1).

:pt.:hp4.--marginals-needed n:ehp4.
:pd.
Number of marginally trusted users to introduce a new key signer (defaults to 3)

:pt.:hp4.--max-cert-depth n:ehp4.
:pd.
Maximum depth of a certification chain (default is 5).

:pt.:hp4.--cipher-algo name:ehp4.
:pd.
Use name as cipher algorithm.
Running the program with the command --version yields a list of supported algorithms.
If this is not used the cipher algorithm is selected from the preferences stored with the key.

:pt.:hp4.--digest-algo name:ehp4.
:pd.
Use name as message digest algorithm.
Running the program with the command --version yields a list of supported algorithms.

:pt.:hp4.--compress-algo name:ehp4.
:pd.
Use compression algorithm name.
"zlib" is RFC-1950 ZLIB compression.
"zip" is RFC-1951 ZIP compression which is used by PGP.
"bzip2" is a more modern compression scheme that can compress some things better than zip or zlib, but at the cost of more memory used during compression and decompression.
"uncompressed" or "none" disables compression.
If this option is not used, the default behavior is to examine the recipient key preferences to see which algorithms the recipient supports.
If all else fails, ZIP is used for maximum compatibility.
:p.
ZLIB may give better compression results than ZIP, as the compression window size is not limited to 8k.
BZIP2 may give even better compression results than that, but will use a significantly larger amount of memory while compressing and decompressing.
This may be significant in low memory situations.
Note, however, that PGP (all versions) only supports ZIP compression.
Using any algorithm other than ZIP or "none" will make the message unreadable with PGP.

:pt.:hp4.--cert-digest-algo name:ehp4.
:pd.
Use name as the message digest algorithm used when signing a key.
Running the program with the command --version yields a list of supported algorithms.
Be aware that if you choose an algorithm that GnuPG supports but other OpenPGP implementations do not, then some users will not be able to use the key signatures you make, or quite possibly your entire key.

:pt.:hp4.--s2k-cipher-algo name:ehp4.
:pd.
Use name as the cipher algorithm used to protect secret keys.
The default cipher is CAST5.
This cipher is also used for conventional encryption if --personal-cipher-preferences and --cipher-algo is not given.

:pt.:hp4.--s2k-digest-algo name:ehp4.
:pd.
Use name as the digest algorithm used to mangle the passphrases.
The default algorithm is SHA-1.

:pt.:hp4.--s2k-mode n:ehp4.
:pd.
Selects how passphrases are mangled.
If n is 0 a plain passphrase (which is not recommended) will be used, a 1 adds a salt to the passphrase and a 3 (the default) iterates the whole process a couple of times.
Unless --rfc1991 is used, this mode is also used for conventional encryption.

:pt.:hp4.--simple-sk-checksum:ehp4.
:pd.
Secret keys are integrity protected by using a SHA-1 checksum.
This method is part of the upcoming enhanced OpenPGP specification but GnuPG already uses it as a countermeasure against certain attacks.
Old applications don't understand this new format, so this option may be used to switch back to the old behaviour.
Using this option bears a security risk.
Note that using this option only takes effect when the secret key is encrypted - the simplest way to make this happen is to change the passphrase on the key (even changing it to the same value is acceptable).

:pt.:hp4.--disable-cipher-algo name:ehp4.
:pd.
Never allow the use of name as cipher algorithm.
The given name will not be checked so that a later loaded algorithm will still get disabled.

:pt.:hp4.--disable-pubkey-algo name:ehp4.
:pd.
Never allow the use of name as public key algorithm.
The given name will not be checked so that a later loaded algorithm will still get disabled.

:pt.:hp4.--no-sig-cache:ehp4.
:pd.
Do not cache the verification status of key signatures.
Caching gives a much better performance in key listings.
However, if you suspect that your public keyring is not save against write modifications, you can use this option to disable the caching.
It probably does not make sense to disable it because all kind of damage can be done if someone else has write access to your public keyring.

:pt.:hp4.--no-sig-create-check:ehp4.
:pd.
GnuPG normally verifies each signature right after creation to protect against bugs and hardware malfunctions which could leak out bits from the secret key.
This extra verification needs some time (about 115% for DSA keys), and so this option can be used to disable it.
However, due to the fact that the signature creation needs manual interaction, this performance penalty does not matter in most settings.

:pt.:hp4.--auto-check-trustdb:ehp4.
:pt.:hp4.--no-auto-check-trustdb:ehp4.
:pd.
If GnuPG feels that its information about the Web of Trust has to be updated, it automatically runs the --check-trustdb command internally.
This may be a time consuming process.
--no-auto-check-trustdb disables this option.

:pt.:hp4.--throw-keyids:ehp4.
:pt.:hp4.--no-throw-keyids:ehp4.
:pd.
Do not put the recipient keyid into encrypted packets.  This option 
hides the receiver of the message and is a countermeasure against 
traffic analysis.  It may slow down the decryption process because all 
available secret keys are tried.  --no-throw-keyids disables this 
option. 

:pt.:hp4.--not-dash-escaped:ehp4.
:pd.
This option changes the behavior of cleartext signatures so that they can be used for patch files.
You should not send such an armored file via email because all spaces and line endings are hashed too.
You can not use this option for data which has 5 dashes at the beginning of a line, patch files don't have this.
A special armor header line tells GnuPG about this cleartext signature option.

:pt.:hp4.--escape-from-lines:ehp4.
:pt.:hp4.--no-escape-from-lines:ehp4.
:pd.
Because some mailers change lines starting with "From " to ">From" it is good to handle such lines in a special way when creating cleartext signatures to prevent the mail system from breaking the signature.
Note that all other PGP versions do it this way too.
Enabled by default.
--no-escape-from-lines disables this option. 

:pt.:hp4.--passphrase-fd n:ehp4.
:pd.
Read the passphrase from file descriptor n.
If you use 0 for n, the passphrase will be read from stdin.
This can only be used if only one passphrase is supplied.
Don't use this option if you can avoid it.

:pt.:hp4.--command-fd n:ehp4.
:pd.
This is a replacement for the deprecated shared-memory IPC mode.
If this option is enabled, user input on questions is not expected from the TTY but from the given file descriptor.
It should be used together with --status-fd.
See the file doc/DETAILS in the source distribution for details on how to use it.

:pt.:hp4.--use-agent:ehp4.
:pt.:hp4.--no-use-agent:ehp4.
:pd.
Try to use the GnuPG-Agent.
Please note that this agent is still under development.
With this option, GnuPG first tries to connect to the agent before it asks for a passphrase.
--no-use-agent disables this option.

:pt.:hp4.--gpg-agent-info:ehp4.
:pd.
Override the value of the environment variable GPG_AGENT_INFO.
This is only used when --use-agent has been given

:lm margin=1.:p.
:hp5.Compliance options:ehp5.
:p.
These options control what GnuPG is compliant to.
Only one of these options may be active at a time.
Note that the default setting of this is nearly always the correct one.
See the INTEROPERABILITY WITH OTHER OPENPGP PROGRAMS section below before using one of these options.
:lm margin=10.:p.

:pt.:hp4.--gnupg:ehp4.
:pd.
Use standard GnuPG behavior.
This is essentially OpenPGP behavior (see --openpgp), but with some additional workarounds for common compatibility problems in different versions of PGP.
This is the default option, so it is not generally needed, but it may be useful to override a different compliance option in the gpg.conf file.

:pt.:hp4.--openpgp:ehp4.
:pd.
Reset all packet, cipher and digest options to strict OpenPGP behavior.
Use this option to reset all previous options like --rfc1991, --force-v3-sigs, --s2k-*, --cipher-algo, --digest-algo and --compress-algo to OpenPGP compliant values.
All PGP workarounds are disabled.

:pt.:hp4.--rfc2440:ehp4.
:pd.
Reset all packet, cipher and digest options to strict RFC-2440 behavior.
Note that this is currently the same thing as --openpgp. 

:pt.:hp4.--rfc1991:ehp4.
:pd.
Try to be more RFC-1991 (PGP 2.x) compliant.

:pt.:hp4.--pgp2:ehp4.
:pd.
Set up all options to be as PGP 2.x compliant as possible, and warn if an action is taken (e.g. encrypting to a non-RSA key) that will create a message that PGP 2.x will not be able to handle.
Note that `PGP 2.x' here means `MIT PGP 2.6.2'.
There are other versions of PGP 2.x available, but the MIT release is a good common baseline.
:p.
This option implies `--rfc1991 --disable-mdc --no-force-v4-certs --no-comment --escape-from-lines --force-v3-sigs --no-ask-sig-expire --no-ask-cert-expire --cipher-algo IDEA --digest-algo MD5 --compress-algo 1'
It also disables --textmode when encrypting.

:pt.:hp4.--pgp6:ehp4.
:pd.
Set up all options to be as PGP 6 compliant as possible.
This restricts you to the ciphers IDEA (if the IDEA plugin is installed), 3DES, and CAST5, the hashes MD5, SHA1 and RIPEMD160, and the compression algorithms none and ZIP.
This also disables --throw-keyids, and making signatures with signing subkeys as PGP 6 does not understand signatures made by signing subkeys.
:p.
This option implies `--disable-mdc --no-sk-comment --escape-from-lines --force-v3-sigs --no-ask-sig-expire'
--no-pgp6 disables this option.

:pt.:hp4.--pgp7:ehp4.
:pd.
Set up all options to be as PGP 7 compliant as possible.
This is identical to --pgp6 except that MDCs are not disabled, and the list of allowable ciphers is expanded to add AES128, AES192, AES256, and TWOFISH.

:pt.:hp4.--pgp8:ehp4.
:pd.
Set up all options to be as PGP 8 compliant as possible.
PGP 8 is a lot closer to the OpenPGP standard than previous versions of PGP, so all this does is disable --throw-keyids and set --escape-from-lines.
All algorithms are allowed except for the SHA384 and SHA512 digests. 

:pt.:hp4.--force-v3-sigs:ehp4.
:pt.:hp4.--no-force-v3-sigs:ehp4.
:pd.
OpenPGP states that an implementation should generate v4 signatures but PGP versions 5 through 7 only recognize v4 signatures on key material.
This option forces v3 signatures for signatures on data.
Note that this option overrides --ask-sig-expire, as v3 signatures cannot have expiration dates.
--no-force-v3-sigs disables this option.

:pt.:hp4.--force-v4-certs:ehp4.
:pt.:hp4.--no-force-v4-certs:ehp4.
:pd.
Always use v4 key signatures even on v3 keys.
This option also changes the default hash algorithm for v3 RSA keys from MD5 to SHA-1.
--no-force-v4-certs disables this option.

:pt.:hp4.--force-mdc:ehp4.
:pd.
Force the use of encryption with a modification detection code.
This is always used with the newer ciphers (those with a blocksize greater than than 64 bits), or if all of the recipient keys indicate MDC support in their feature flags.

:pt.:hp4.--disable-mdc:ehp4.
:pd.
Disable the use of the modification detection code.
Note that by using this option, the encrypted message becomes vulnerable to a message modification attack.

:pt.:hp4.--allow-non-selfsigned-uid:ehp4.
:pt.:hp4.--no-allow-non-selfsigned-uid:ehp4.
:pd.
Allow the import and use of keys with user IDs which are not self-signed.
This is not recommended, as a non self-signed user ID is trivial to forge.
--no-allow-non-selfsigned-uid disables.

:pt.:hp4.--no-allow-non-selfsigned-uid:ehp4.
:pd.
Reset the --allow-non-selfsigned-uid option.

:pt.:hp4.--allow-freeform-uid:ehp4.
:pd.
Disable all checks on the form of the user ID while generating a new one.
This option should only be used in very special environments as it does not ensure the de-facto standard format of user IDs.

:pt.:hp4.--ignore-time-conflict:ehp4.
:pd.
GnuPG normally checks that the timestamps associated with keys and signatures have plausible values.
However, sometimes a signature seems to be older than the key due to clock problems.
This option makes these checks just a warning.
See also --ignore-valid-from for timestamp issues on subkeys. 

:pt.:hp4.--ignore-valid-from:ehp4.
:pd.
GnuPG normally does not select and use subkeys created in the future. 
This option allows the use of such keys and thus exhibits the pre-1.0.7 behaviour.
You should not use this option unless you there is some clock problem.
See also --ignore-time-conflict for timestamp issues with signatures.

:pt.:hp4.--ignore-crc-error:ehp4.
:pd.
The ASCII armor used by OpenPGP is protected by a CRC checksum against 
transmission errors.  Occasionally the CRC gets mangled somewhere on 
the transmission channel but the actual content (which is protected by 
the OpenPGP protocol anyway) is still okay.  This option allows GnuPG 
to ignore CRC errors. 

:pt.:hp4.--ignore-mdc-error:ehp4.
:pd.
This option changes a MDC integrity protection failure into a warning.
This can be useful if a message is partially corrupt, but it is necessary to get as much data as possible out of the corrupt message.
However, be aware that a MDC protection failure may also mean that the message was tampered with intentionally by an attacker.

:pt.:hp4.--lock-once:ehp4.
:pd.
Lock the databases the first time a lock is requested and do not release the lock until the process terminates.

:pt.:hp4.--lock-multiple:ehp4.
:pd.
Release the locks every time a lock is no longer needed.
Use this to override a previous --lock-once from a config file.

:pt.:hp4.--lock-never:ehp4.
:pd.
Disable locking entirely.
This option should be used only in very special environments, where it can be assured that only one process is accessing those files.
A bootable floppy with a stand-alone encryption system will probably use this.
Improper usage of this option may lead to data and key corruption.

:pt.:hp4.--no-random-seed-file:ehp4.
:pd.
GnuPG uses a file to store its internal random pool over invocations.
This makes random generation faster; however sometimes write operations are not desired.
This option can be used to achieve that with the cost of slower random generation.

:pt.:hp4.--no-verbose:ehp4.
:pd.
Reset verbose level to 0.

:pt.:hp4.--no-greeting:ehp4.
:pd.
Suppress the initial copyright message. 

:pt.:hp4.--no-secmem-warning:ehp4.
:pd.
Suppress the warning about "using insecure memory".

:pt.:hp4.--no-permission-warning:ehp4.
:pd.
Suppress the warning about unsafe file and home directory (--homedir) permissions.
Note that the permission checks that GnuPG performs are not intended to be authoritative, but rather they simply warn about certain common permission problems.
Do not assume that the lack of a warning means that your system is secure.
:p.
Note that the warning for unsafe --homedir permissions cannot be supressed in the gpg.conf file, as this would allow an attacker to place an unsafe gpg.conf file in place, and use this file to supress warnings about itself.
The --homedir permissions warning may only be supressed on the command line. 

:pt.:hp4.--no-mdc-warning:ehp4.
:pd.
Suppress the warning about missing MDC integrity protection.

:pt.:hp4.--require-secmem:ehp4.
:pt.:hp4.--no-require-secmem:ehp4.
:pd.
Refuse to run if GnuPG cannot get secure memory.
Defaults to no (i.e. run, but give a warning). 

:pt.:hp4.--no-armor:ehp4.
:pd.
Assume the input data is not in ASCII armored format.

:pt.:hp4.--no-default-keyring:ehp4.
:pd.
Do not add the default keyrings to the list of keyrings.
Note that GnuPG will not operate without any keyrings, so if you use this option and do not provide alternate keyrings via --keyring or --secret-keyring, then GnuPG will still use the default public or secret keyrings.

:pt.:hp4.--skip-verify:ehp4.
:pd.
Skip the signature verification step.
This may be used to make the decryption faster if the signature verification is not needed.

:pt.:hp4.--with-colons:ehp4.
:pd.
Print key listings delimited by colons.
Note that the output will be encoded in UTF-8 regardless of any --display-charset setting.
This format is useful when GnuPG is called from scripts and other programs as it is easily machine parsed.
The details of this format are documented in the file doc/DETAILS, which is included in the GnuPG source distribution.

:pt.:hp4.--with-key-data:ehp4.
:pd.
Print key listings delimited by colons (like --with-colons) and print the public key data.

:pt.:hp4.--with-fingerprint:ehp4.
:pd.
Same as the command --fingerprint but changes only the format of the output and may be used together with another command.

:pt.:hp4.--fast-list-mode:ehp4.
:pd.
Changes the output of the list commands to work faster; this is achieved by leaving some parts empty.
Some applications don't need the user ID and the trust information given in the listings.
By using this options they can get a faster listing.
The exact behaviour of this option may change in future versions.

:pt.:hp4.--fixed-list-mode:ehp4.
:pd.
Do not merge primary user ID and primary key in --with-colon listing mode and print all timestamps as seconds since 1970-01-01.

:pt.:hp4.--list-only:ehp4.
:pd.
Changes the behaviour of some commands.
This is like --dry-run but different in some cases.
The semantic of this command may be extended in the future.
Currently it only skips the actual decryption pass and therefore enables a fast listing of the encryption keys.

:pt.:hp4.--no-literal:ehp4.
:pd.
This is not for normal use.
Use the source to see for what it might be useful.

:pt.:hp4.--set-filesize:ehp4.
:pd.
This is not for normal use.
Use the source to see for what it might be useful.

:pt.:hp4.--show-session-key:ehp4.
:pd.
Display the session key used for one message.
See --override-session-key for the counterpart of this option.
:p.
We think that Key Escrow is a Bad Thing; however the user should have the freedom to decide whether to go to prison or to reveal the content of one specific message without compromising all messages ever encrypted for one secret key.
DON'T USE IT UNLESS YOU ARE REALLY FORCED TO DO SO.

:pt.:hp4.--override-session-key string:ehp4.
:pd.
Don't use the public key but the session key string.
The format of this string is the same as the one printed by --show-session-key.
This option is normally not used but comes handy in case someone forces you to reveal the content of an encrypted message; using this option you can do this without handing out the secret key.

:pt.:hp4.--ask-sig-expire:ehp4.
:pt.:hp4.--no-ask-sig-expire:ehp4.
:pd.
When making a data signature, prompt for an expiration time.
If this option is not specified, the expiration time is "never".
--no-ask-sig-expire disables this option.

:pt.:hp4.--ask-cert-expire:ehp4.
:pt.:hp4.--no-ask-cert-expire:ehp4.
:pd.
When making a key signature, prompt for an expiration time.
If this option is not specified, the expiration time is "never".
--no-ask-cert-expire disables this option.

:pt.:hp4.--expert:ehp4.
:pt.:hp4.--no-expert:ehp4.
:pd.
Allow the user to do certain nonsensical or "silly" things like signing an expired or revoked key, or certain potentially incompatible things like generating unusual key types.
This also disables certain warning messages about potentially incompatible actions.
As the name implies, this option is for experts only.
If you don't fully understand the implications of what it allows you to do, leave this off.
--no-expert disables this option.

:pt.:hp4.--allow-secret-key-import:ehp4.
:pd.
This is an obsolete option and is not used anywhere.

:pt.:hp4.--try-all-secrets:ehp4.
:pd.
Don't look at the key ID as stored in the message but try all secret 
keys in turn to find the right decryption key. This option forces the 
behaviour as used by anonymous recipients (created by using 
--throw-keyids) and might come handy in case where an encrypted 
message contains a bogus key ID. 

:pt.:hp4.--enable-special-filenames:ehp4.
:pd.
This options enables a mode in which filenames of the form -&amp.n, where n is a non-negative decimal number, refer to the file descriptor n and not to a file with that name.

:pt.:hp4.--no-expensive-trust-checks:ehp4.
:pd.
Experimental use only.

:pt.:hp4.--group name=value1 [value2 value3 ...]:ehp4.
:pd.
Sets up a named group, which is similar to aliases in email programs.
Any time the group name is a recipient (-r or --recipient), it will be expanded to the values specified.
Multiple groups with the same name are automatically merged into a single group.
:p. 
The values are key IDs or fingerprints, but any key description is accepted.
Note that a value with spaces in it will be treated as two different values.
Note also there is only one level of expansion - you cannot make an group that points to another group.
When used from the command line, it may be necessary to quote the argument to this option to prevent the shell from treating it as multiple arguments.

:pt.:hp4.--ungroup name:ehp4.
:pd.
Remove a given entry from the --group list.

:pt.:hp4.--no-groups:ehp4.
:pd.
Clear the --group list. 

:pt.:hp4.--preserve-permissions:ehp4.
:pd.
Don't change the permissions of a secret keyring back to user read/write only.
Use this option only if you really know what you are doing.
The most highly ranked cipher in this list is also used for the --symmetric encryption command.

:pt.:hp4.--personal-cipher-preferences string:ehp4.
:pd.
Set the list of personal cipher preferences to string, this list should be a string similar to the one printed by the command "pref" in the edit menu.
This allows the user to factor in their own preferred algorithms when algorithms are chosen via recipient key preferences.

:pt.:hp4.--personal-digest-preferences string:ehp4.
:pd.
Set the list of personal digest preferences to string, this list should be a string similar to the one printed by the command "pref" in the edit menu.
This allows the user to factor in their own preferred algorithms when algorithms are chosen via recipient key preferences.
The most highly ranked digest algorithm in this list is algo used when signing without encryption (e.g. --clearsign or --sign).
The default value is SHA-1. 

:pt.:hp4.--personal-compress-preferences string:ehp4.
:pd.
Set the list of personal compression preferences to string, this list should be a string similar to the one printed by the command "pref" in the edit menu.
This allows the user to factor in their own preferred algorithms when algorithms are chosen via recipient key preferences.
The most highly ranked algorithm in this list is also used when there are no recipient keys to consider (e.g. --symmetric).

:pt.:hp4.--default-preference-list string:ehp4.
:pd.
Set the list of default preferences to string, this list should be a string similar to the one printed by the command "pref" in the edit menu.
This affects both key generation and "updpref" in the edit menu.

:pt.:hp4.--list-config [names]:ehp4
Display various internal configuration parameters of GnuPG.
This option is intended for external programs that call GnuPG to perform tasks, and is thus not generally useful.
See the file doc/DETAILS in the source distribution for the details of which configuration items may be listed.
--list-config is only usable with --with-colons set.

:eparml.

:p.
How to specify a user ID
:p.
There are different ways to specify a user ID to GnuPG; here are some examples&colon.

:parml break=all tsize=15.
:pt.234567C4
:pt.0F34E556E
:pt.01347A56A
:pt.0xAB123456
:pd.Here the key ID is given in the usual short form.

:pt.234AABBCC34567C4
:pt.0F323456784E56EAB
:pt.01AB3FED1347A5612
:pt.0x234AABBCC34567C4
:pd.Here the key ID is given in the long form as used by OpenPGP (you can get the long key ID using the option --with-colons).

:pt.1234343434343434C434343434343434
:pt.123434343434343C3434343434343734349A3434
:pt.0E12343434343434343434EAB3484343434343434
:pt.0xE12343434343434343434EAB3484343434343434
:pd.The best way to specify a key ID is by using the fingerprint of the key. This avoids any ambiguities in case that there are duplicated key IDs (which are really rare for the long key IDs).

:pt.=Heinrich Heine <heinrichh@uni-duesseldorf.de>
:pd.Using an exact to match string. The equal sign indicates this.

:pt.<heinrichh@uni-duesseldorf.de>
:pd.Using the email address part which must match exactly. The left angle bracket indicates this email address mode.

:pt.+Heinrich Heine duesseldorf
:pd.All words must match exactly (not case sensitive) but can appear in any order in the user ID. Words are any sequences of letters, digits, the underscore and all characters with bit 7 set.

:pt.Heine
:pt.*Heine
:pd.
By case insensitive substring matching. This is the default mode but applications may want to explicitly indicate this by putting the asterisk in front.
:eparml.

:p.
Note that you can append an exclamation mark (!) to key IDs or fingerprints.
This flag tells GnuPG to use the specified primary or secondary key and not to try and calculate which primary or secondary key to use.


:lm margin=1.:p.
:hp7.RETURN VALUE:ehp7.
:lm margin=10.:p.
The program returns 0 if everything was fine, 1 if at least a signature was bad, and other error codes for fatal errors.


:lm margin=1.:p.
:hp7.EXAMPLES:ehp7.
:lm margin=10.
:parml break=all tsize=15.
:pt.gpg -se -r Bob file
:pd.sign and encrypt for user Bob

:pt.gpg --clearsign file
:pd.make a clear text signature

:pt.gpg -sb file
:pd.make a detached signature

:pt.gpg --list-keys user_ID
:pd.show keys

:pt.gpg --fingerprint user_ID
:pd.show fingerprint

:pt.gpg --verify pgpfile
:pt.gpg --verify sigfile [files]
:pd.
Verify the signature of the file but do not output the data.
The second form is used for detached signatures, where sigfile is the detached signature (either ASCII armored or binary) and [files] are the signed data; if this is not given, the name of the file
holding the signed data is constructed by cutting off the extension (".asc" or ".sig") of sigfile or by asking the user for the filename.
:eparml.

:lm margin=1.:p.
:hp7.ENVIRONMENT:ehp7.
:lm margin=10.
:parml break=none tsize=15.
:pt.HOME
:pd.Used to locate the default home directory.
:pt.GNUPGHOME
:pd.If set directory used instead of "~/.gnupg".
:pt.GPG_AGENT_INFO
:pd.
Used to locate the gpg-agent; only honored when --use-agent is set.
The value constist of 3 colon delimited fields&colon.
The first is the path to the Unix Domain Socket, the second the PID of the gpg-agent and the protocol version which should be set to 1.
When starting the gpg-agent as described in its documentation, this variable is set to the correct value.
The option --gpg-agent-info can be used to override it.
:pt.http_proxy
:pd.Only honored when the keyserver-option --honor-http-proxy is set.
:pt.COLUMNS
:pt.LINES
:pd.Used to size some displays to the full size of the screen.
:eparml.

:lm margin=1.:p.
:hp7.FILES:ehp7.
:lm margin=10.
:parml break=all tsize=15.
:pt.~/.gnupg/secring.gpg
:pd.The secret keyring
:pt.~/.gnupg/secring.gpg.lock
:pd.and the lock file
:pt.~/.gnupg/pubring.gpg
:pd.The public keyring
:pt.~/.gnupg/pubring.gpg.lock
:pd.and the lock file
:pt.~/.gnupg/trustdb.gpg
:pd.The trust database
:pt.~/.gnupg/trustdb.gpg.lock
:pd.and the lock file
:pt.~/.gnupg/random_seed
:pd.used to preserve the internal random pool
:pt.~/.gnupg/gpg.conf
:pd.Default configuration file 
:pt.~/.gnupg/options
:pd.Old style configuration file; only used when gpg.conf is not found
:pt./usr[/local]/share/gnupg/options.skel
:pd.Skeleton options file
:pt./usr[/local]/lib/gnupg/
:pd.Default location for extensions
:eparml.

:lm margin=1.:p.
:hp7.WARNINGS:ehp7.
:lm margin=10.:p.
:hp8.
Use a *good* password for your user account and a *good* passphrase to protect your secret key.
This passphrase is the weakest part of the whole system.
Programs to do dictionary attacks on your secret keyring are very easy to write and so you should protect your "~/.gnupg/" directory very well.
:p.
Keep in mind that, if this program is used over a network (telnet), it is *very* easy to spy out your passphrase!
:p.
If you are going to verify detached signatures, make sure that the program knows about it;
either give both filenames on the command line or use - to specify stdin. 
:ehp8.

:lm margin=1.:p.
:hp7.INTEROPERABILITY WITH OTHER OPENPGP PROGRAMS:ehp7.
:lm margin=10.:p.
GnuPG tries to be a very flexible implementation of the OpenPGP standard.
In particular, GnuPG implements many of the optional parts of the standard, such as the SHA-512 hash, and the ZLIB and BZIP2 compression algorithms.
It is important to be aware that not all OpenPGP programs implement these optional algorithms and that by forcing their use via the --cipher-algo, --digest-algo, --cert-digest-algo, or --compress-algo options in GnuPG,
it is possible to create a perfectly valid OpenPGP message, but one that cannot be read by the intended recipient.
:p.
There are dozens of variations of OpenPGP programs available, and each 
supports a slightly different subset of these optional algorithms. 
For example, until recently, no (unhacked) version of PGP supported 
the BLOWFISH cipher algorithm.  A message using BLOWFISH simply could 
not be read by a PGP user.  By default, GnuPG uses the standard 
OpenPGP preferences system that will always do the right thing and 
create messages that are usable by all recipients, regardless of which 
OpenPGP program they use.  Only override this safe default if you 
really know what you are doing. 
:p.
If you absolutely must override the safe default, or if the preferences on a given key are invalid for some reason, you are far better off using the --pgp6, --pgp7, or --pgp8 options.
These options are safe as they do not force any particular algorithms in violation of OpenPGP, but rather reduce the available algorithms to a "PGP-safe" list.


:lm margin=1.:p.
:hp7.BUGS:ehp7.
:lm margin=10.:p.
On many systems this program should be installed as setuid(root).
This is necessary to lock memory pages.
Locking memory pages prevents the operating system from writing memory pages (which may contain passphrases or other sensitive material) to disk.
If you get no warning message about insecure memory your operating system supports locking without being root.
The program drops root privileges as soon as locked memory is allocated.







:h1 res=3.gpgv.exe
:font facename=Helv size=10x8.

:lm margin=1.:p.
:hp7.NAME:ehp7.
:lm margin=10.:p.
gpgv -- signature verification tool

:lm margin=1.:p.
:hp7.SYNOPSIS:ehp7.
:lm margin=10.:p.
:hp4.gpgv [options] [signed files]:ehp4.

:lm margin=1.:p.
:hp7.DESCRIPTION:ehp7.
:lm margin=10.:p.
gpgv is the OpenPGP signature checking tool.
:p.
This program is a stripped down version of gpg which is only able to check signatures.
It is somewhat smaller than the full blown gpg and uses a different (and more simple way) to check that the public keys used to made the signature are trustworth.
There is no options files and only very few options are implemented.
:p.
gpgv assumes that all keys in the keyring are trustworty.
It uses by default a keyring named trustedkeys.gpg which is assumed to be in the home directory as defined by GnuPG or set by an option or an environment variable.
An option may be used to specify another keyring or even multiple keyrings.

:lm margin=1.:p.
:hp7.OPTIONS:ehp7.
:lm margin=10.:p.
gpgv recognizes these options:

:parml break=all tsize=15.
:pt.:hp4.-v, --verbose:ehp4.
:pd.
Give more information during processing. If used twice, the input data is listed in detail.

:pt.:hp4.-q, --quiet:ehp4.
:pd.
Try to be as quiet as possible.

:pt.:hp4.--keyring file:ehp4.
:pd.
Add file to the list of keyrings.
If file begins with a tilde and a slash, these are replaced by the HOME directory.
If the filename does not contain a slash, it is assumed to be in the home-directory ("~/.gnupg" if --homedir is not used).
The filename may be prefixed with a scheme:
:p.
"gnupg-ring:" is the default one.

:pt.:hp4.--homedir directory:ehp4.
:pd.
Set the name of the home directory to directory.
If this option is not used it defaults to "~/.gnupg".
It does not make sense to use this in a options file.
This also overrides the environment variable "GNUPGHOME".

:pt.:hp4.--status-fd n:ehp4.
:pd.
Write special status strings to the file descriptor n.
See the file DETAILS in the documentation for a listing of them.

:pt.:hp4.--logger-fd n:ehp4.
:pd.
Write log output to file descriptor n and not to stderr.

:pt.:hp4.--ignore-time-conflict:ehp4.
:pd.
GnuPG normally checks that the timestamps associated with keys and signatures have plausible values.
However, sometimes a signature seems to be older than the key due to clock problems.
This option makes these checks just a warning.

:eparml.

:lm margin=1.:p.
:hp7.RETURN VALUE:ehp7.
:lm margin=10.:p.
The program returns 0 if everything was fine, 1 if at least one signature was bad, and other error codes for fatal errors.

:lm margin=1.:p.
:hp7.EXAMPLES:ehp7.
:lm margin=10.
:parml break=all tsize=15.
:pt.gpgv pgpfile
:pt.gpgv sigfile [files]
:pd.
Verify the signature of the file.
The second form is used for detached signatures, where sigfile is the detached signature (either ASCII armored or binary) and [files] are the signed data;
if this is not given the name of the file holding the signed data is constructed by cutting off the extension (".asc", ".sig" or ".sign") from sigfile.
:eparml.

:lm margin=1.:p.
:hp7.ENVIRONMENT:ehp7.
:lm margin=10.
:parml break=none tsize=15.
:pt.HOME
:pd.Used to locate the default home directory.
:pt.GNUPGHOME
:pd.If set directory used instead of "~/.gnupg".
:eparml.

:lm margin=1.:p.
:hp7.FILES:ehp7.
:lm margin=10.
:parml break=all tsize=15.
:pt.~/.gnupg/trustedkeys.gpg
:pd.The default keyring with the allowed keys
:eparml.

:euserdoc.
